{
  "name": "stock-h5",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --mode development",
    "build": "run-p type-check \"build-only {@}\" --",
    "build:test": "vite build --mode test",
    "build:prod": "vite build --mode production",
    "preview": "vite preview",
    "test:unit": "vitest",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@vant/auto-import-resolver": "^1.2.1",
    "@vant/touch-emulator": "^1.4.0",
    "axios": "^1.7.2",
    "crypto-js": "^4.2.0",
    "echarts": "^5.5.1",
    "markdown-it": "^14.1.0",
    "mitt": "^3.0.1",
    "moment": "^2.30.1",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.1",
    "rollup-plugin-external-globals": "^0.10.0",
    "rollup-plugin-visualizer": "^5.12.0",
    "sass": "^1.77.8",
    "sass-loader": "^16.0.0",
    "scss": "^0.2.4",
    "secure-ls": "^2.0.0",
    "unplugin-auto-import": "^0.17.6",
    "unplugin-vue-components": "^0.27.0",
    "vant": "^4.9.1",
    "vite-plugin-html": "^3.2.2",
    "vue": "^3.4.21",
    "vue-router": "^4.3.0",
    "vue-virtual-scroller": "^2.0.0-beta.8",
    "vue-wechat-title": "^2.0.7",
    "weixin-js-sdk": "^1.6.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/jsdom": "^21.1.6",
    "@types/node": "^20.12.5",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/test-utils": "^2.4.5",
    "@vue/tsconfig": "^0.5.1",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "jsdom": "^24.0.0",
    "npm-run-all2": "^6.1.2",
    "prettier": "^3.2.5",
    "terser": "^5.31.1",
    "typescript": "~5.4.0",
    "vite": "^5.2.8",
    "vite-plugin-cdn-import": "^1.0.1",
    "vite-plugin-compression": "^0.5.1",
    "vitest": "^1.4.0",
    "vue-tsc": "^2.0.11"
  }
}
